Bug 5654 - /bin/echo: \c and \r don't work
Summary: /bin/echo: \c and \r don't work
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: bero
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-06 19:47 UTC by llucif
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-15 20:31:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description llucif 1999-10-06 19:47:33 UTC
/bin/echo doesn't handle correctly \c and \r chars  (at
least)

Comment 1 Bill Nottingham 1999-10-06 19:55:59 UTC
Try /bin/echo -e  \rfoo...

Comment 2 Alan Cox 1999-10-15 20:31:59 UTC
The change in behaviour is for standards compliance. Its actually
a bug fix.


Note You need to log in before you can comment on or make changes to this bug.